+++ /dev/null
-#!/bin/sh
-#
-. ./config
-
-mkdir -p cdrom
-mount -o loop -t iso9660 $ISO_IMAGE cdrom
+++ /dev/null
-#!/bin/sh
-#
-# tar the disk image
-#
-. ./config
-
-rm -f kubuntu8.tar.gz
-cd $DISK_IMAGE
-# Update checksum
-find . -type f -print0 | xargs -0 md5sum >md5sum.txt
-tar cfz $CWD/kubuntu8.tar.gz .
-cd $CWD
-ls -l kubuntu8.tar.gz
+++ /dev/null
-#!/bin/sh
-#
-cd initrd
-echo "Packing initrd to initrd.gz ..."
-find . | cpio -o -H newc | gzip -9 > ../initrd.gz
-if [ "x$SUID_UID" != "x" ] ; then
- if [ "x$SUID_GID" = "x" ] ; then
- chown $SUID_UID ../initrd.gz
- else
- chown $SUID_UID:$SUID_GID ../initrd.gz
- fi
-fi
+++ /dev/null
-#!/bin/sh
-#
-rm -f filesystem.squashfs
-mksquashfs sqfs filesystem.squashfs
--- /dev/null
+#!/bin/sh
+#
+. ./config
+
+mkdir -p cdrom
+mount -o loop -t iso9660 $ISO_IMAGE cdrom
--- /dev/null
+#!/bin/sh
+#
+# tar the disk image
+#
+. ./config
+
+rm -f kubuntu8.tar.gz
+cd $DISK_IMAGE
+# Update checksum
+find . -type f -print0 | xargs -0 md5sum >md5sum.txt
+tar cfz $CWD/kubuntu8.tar.gz .
+cd $CWD
+ls -l kubuntu8.tar.gz
--- /dev/null
+#!/bin/sh
+#
+cd initrd
+echo "Packing initrd to initrd.gz ..."
+find . | cpio -o -H newc | gzip -9 > ../initrd.gz
+if [ "x$SUID_UID" != "x" ] ; then
+ if [ "x$SUID_GID" = "x" ] ; then
+ chown $SUID_UID ../initrd.gz
+ else
+ chown $SUID_UID:$SUID_GID ../initrd.gz
+ fi
+fi
--- /dev/null
+#!/bin/sh
+#
+rm -f filesystem.squashfs
+mksquashfs sqfs filesystem.squashfs
--- /dev/null
+#!/bin/sh
+#
+
+umount cdrom
+if [ $? -eq 0 ] ; then
+ rmdir cdrom
+fi
--- /dev/null
+#!/bin/sh
+#
+rm -rf initrd
+mkdir -p initrd
+cd initrd
+echo "Unpacking initrd.gz into initrd ..."
+gzip -dc ../cdrom/casper/initrd.gz | cpio -i
--- /dev/null
+#!/bin/sh
+#
+mkdir -p sqfs
+mkdir cdsqfs
+mount -o loop -t squashfs cdrom/casper/filesystem.squashfs cdsqfs
+if [ $? -ne 0 ] ; then
+ echo "Error mounting squashfs ..."
+ rm -rf cdsqfs
+ exit 1
+fi
+echo "Copying ISO squashfs to sqfs ..."
+rsync -avx -P cdsqfs/. sqfs/.
+#
+umount cdsqfs/
+if [ $? -ne 0 ] ; then
+ umount cdsqfs/
+ if [ $? -ne 0 ] ; then
+ echo "Could not umount cdsqfs ..."
+ exit 1
+ fi
+fi
+rmdir cdsqfs
--- /dev/null
+#!/bin/sh
+#
+# Update the disk image with a new squashfs
+#
+. ./config
+
+rm -f $DISK_IMAGE/casper/filesystem.squashfs
+rm -f $DISK_IMAGE/casper/filesystem.mainfest
+rm -f $DISK_IMAGE/casper/filesystem.mainfest-desktop
+cp filesystem.squashfs $DISK_IMAGE/casper/filesystem.squashfs
+cp filesystem.mainfest $DISK_IMAGE/casper/filesystem.mainfest
+cp filesystem.mainfest $DISK_IMAGE/casper/filesystem.mainfest-desktop
--- /dev/null
+#!/bin/sh
+#
+# Update squashfs -- assumes you start with a Hardy 8.04.1 desktop,
+# but it should work even if you have already updated it.
+#
+
+chroot sqfs /bin/sh
+mount -t proc none /proc/
+mount -t sysfs non /sys/
+export HOME=/root
+
+# remove packages
+apt-get remove --purge `dpkg-query -W --showformat '${Package}\n' | grep language-pack | egrep -v '\-en'`
+apt-get remove --purge `dpkg-query -W --showformat '${Package}\n' | grep openoffice\.org-`
+apt-get remove --purge amarok dictionaries-common
+
+cat >/etc/apt/sources.list <<EOF
+deb http://archive.ubuntu.com/ubuntu/ hardy main restricted
+deb http://archive.ubuntu.com/ubuntu/ hardy-updates main restricted
+deb http://archive.ubuntu.com/ubuntu/ hardy universe
+deb http://archive.ubuntu.com/ubuntu/ hardy-updates universe
+deb http://archive.ubuntu.com/ubuntu/ hardy multiverse
+deb http://archive.ubuntu.com/ubuntu/ hardy-security main restricted
+deb http://archive.ubuntu.com/ubuntu/ hardy-security universe
+deb http://archive.ubuntu.com/ubuntu/ hardy-security multiverse
+deb http://archive.ubuntu.com/ubuntu/ hardy-updates multiverse
+EOF
+apt-get update
+apt-get upgrade
+
+# Add new packages
+apt-get install openssh-server subversion kdetoys kicker-applets kgpg gftp \
+ firefox sg3-utils
+apt-get install flashplugin-nonfree aircrack-ng g++ nvidia-glx-new gfxboot \
+ syslinux mtools
+
+# Add heldback packages
+apt-get install bind9-host dnsutils libbind9-30 libisccc30 libisccfg30 \
+ linux-generic linux-headers-generic linux-image-generic \
+ linux-restricted-modules-generic ssl-cert
+
+# Remove old kernel
+apt-get remove linux-headers-2.6.24-19 linux-headers-2.6.24-19-generic \
+ linux-image-2.6.24-19-generic linux-restricted-modules-2.6.24-19-generic \
+ linux-restricted-modules-2.6.24-22-generic linux-ubuntu-modules-2.6.24-19-generic
+
+cd /
+dpkg-query -W --showformat='${Package} ${Version}\n' >filesystem.manifest
+
+apt-get clean
+rm -rf /tmp/*
+rm -f /etc/hosts /etc/resolv.conf
+umount /proc/
+umount /sys/
+exit
+cp sqfs/filesystem.manifest .
+rm -f sqfs/filsystem.manifest
--- /dev/null
+#!/bin/sh
+#
+# Put a new squashfs on the disk image
+#
+
+. ./config
+
+
+if [ ! -d ${DISK_IMAGE}/casper ] ; then
+ echo "Cannot find ${DISK_IMAGE}/casper directory -- possibly not detarred"
+ exit 1
+fi
+
+echo "Removing old squashfs"
+rm -f ${DISK_IMAGE}/casper/filesystem.squashfs ${DISK_IMAGE}/casper/filesystem.manifest
+rm -f ${DISK_IMAGE}/casper/filesystem.manifest-desktop
+
+echo "Copying new squashfs"
+cp filesystem.manifest ${DISK_IMAGE}/casper/
+cp filesystem.manifest ${DISK_IMAGE}/casper/filesystem.manifest-desktop
+cp filesystem.squashfs ${DISK_IMAGE}/casper/
+sync
+++ /dev/null
-#!/bin/sh
-#
-
-umount cdrom
-if [ $? -eq 0 ] ; then
- rmdir cdrom
-fi
+++ /dev/null
-#!/bin/sh
-#
-rm -rf initrd
-mkdir -p initrd
-cd initrd
-echo "Unpacking initrd.gz into initrd ..."
-gzip -dc ../cdrom/casper/initrd.gz | cpio -i
+++ /dev/null
-#!/bin/sh
-#
-mkdir -p sqfs
-mkdir cdsqfs
-mount -o loop -t squashfs cdrom/casper/filesystem.squashfs cdsqfs
-if [ $? -ne 0 ] ; then
- echo "Error mounting squashfs ..."
- rm -rf cdsqfs
- exit 1
-fi
-echo "Copying ISO squashfs to sqfs ..."
-rsync -avx -P cdsqfs/. sqfs/.
-#
-umount cdsqfs/
-if [ $? -ne 0 ] ; then
- umount cdsqfs/
- if [ $? -ne 0 ] ; then
- echo "Could not umount cdsqfs ..."
- exit 1
- fi
-fi
-rmdir cdsqfs
+++ /dev/null
-#!/bin/sh
-#
-# Update the disk image with a new squashfs
-#
-. ./config
-
-rm -f $DISK_IMAGE/casper/filesystem.squashfs
-rm -f $DISK_IMAGE/casper/filesystem.mainfest
-rm -f $DISK_IMAGE/casper/filesystem.mainfest-desktop
-cp filesystem.squashfs $DISK_IMAGE/casper/filesystem.squashfs
-cp filesystem.mainfest $DISK_IMAGE/casper/filesystem.mainfest
-cp filesystem.mainfest $DISK_IMAGE/casper/filesystem.mainfest-desktop
+++ /dev/null
-#!/bin/sh
-#
-# Update squashfs -- assumes you start with a Hardy 8.04.1 desktop,
-# but it should work even if you have already updated it.
-#
-
-chroot sqfs /bin/sh
-mount -t proc none /proc/
-mount -t sysfs non /sys/
-export HOME=/root
-
-# remove packages
-apt-get remove --purge `dpkg-query -W --showformat '${Package}\n' | grep language-pack | egrep -v '\-en'`
-apt-get remove --purge `dpkg-query -W --showformat '${Package}\n' | grep openoffice\.org-`
-apt-get remove --purge amarok dictionaries-common
-
-cat >/etc/apt/sources.list <<EOF
-deb http://archive.ubuntu.com/ubuntu/ hardy main restricted
-deb http://archive.ubuntu.com/ubuntu/ hardy-updates main restricted
-deb http://archive.ubuntu.com/ubuntu/ hardy universe
-deb http://archive.ubuntu.com/ubuntu/ hardy-updates universe
-deb http://archive.ubuntu.com/ubuntu/ hardy multiverse
-deb http://archive.ubuntu.com/ubuntu/ hardy-security main restricted
-deb http://archive.ubuntu.com/ubuntu/ hardy-security universe
-deb http://archive.ubuntu.com/ubuntu/ hardy-security multiverse
-deb http://archive.ubuntu.com/ubuntu/ hardy-updates multiverse
-EOF
-apt-get update
-apt-get upgrade
-
-# Add new packages
-apt-get install openssh-server subversion kdetoys kicker-applets kgpg gftp \
- firefox sg3-utils
-apt-get install flashplugin-nonfree aircrack-ng g++ nvidia-glx-new gfxboot \
- syslinux mtools
-
-# Add heldback packages
-apt-get install bind9-host dnsutils libbind9-30 libisccc30 libisccfg30 \
- linux-generic linux-headers-generic linux-image-generic \
- linux-restricted-modules-generic ssl-cert
-
-# Remove old kernel
-apt-get remove linux-headers-2.6.24-19 linux-headers-2.6.24-19-generic \
- linux-image-2.6.24-19-generic linux-restricted-modules-2.6.24-19-generic \
- linux-restricted-modules-2.6.24-22-generic linux-ubuntu-modules-2.6.24-19-generic
-
-cd /
-dpkg-query -W --showformat='${Package} ${Version}\n' >filesystem.manifest
-
-apt-get clean
-rm -rf /tmp/*
-rm -f /etc/hosts /etc/resolv.conf
-umount /proc/
-umount /sys/
-exit
-cp sqfs/filesystem.manifest .
-rm -f sqfs/filsystem.manifest
+++ /dev/null
-#!/bin/sh
-#
-# Put a new squashfs on the disk image
-#
-
-. ./config
-
-
-if [ ! -d ${DISK_IMAGE}/casper ] ; then
- echo "Cannot find ${DISK_IMAGE}/casper directory -- possibly not detarred"
- exit 1
-fi
-
-echo "Removing old squashfs"
-rm -f ${DISK_IMAGE}/casper/filesystem.squashfs ${DISK_IMAGE}/casper/filesystem.manifest
-rm -f ${DISK_IMAGE}/casper/filesystem.manifest-desktop
-
-echo "Copying new squashfs"
-cp filesystem.manifest ${DISK_IMAGE}/casper/
-cp filesystem.manifest ${DISK_IMAGE}/casper/filesystem.manifest-desktop
-cp filesystem.squashfs ${DISK_IMAGE}/casper/
-sync